com.microfocus.awm.meta.impl

## Class FileDescriptorImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - com.microfocus.awm.meta.impl.AWMObjectImpl
        - - com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl
          - - com.microfocus.awm.meta.impl.FileDescriptorImpl

- All Implemented Interfaces:
    AWMIdentifiableObject, AWMObject, FileDescriptor, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

      public class FileDescriptorImpl
      extends AWMIdentifiableObjectImpl
      implements FileDescriptor

  The following features are implemented:

  - `Has Property`
  - `Has Action`
  - `Has File Element`
  - `Has File Attribute`
  - `Name Physical`
  - `Prop Delimiter`
  - `Structure`
  - `Type`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `ELAST_EOBJECT_FLAG`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `clone()` Creates a clone of the file descriptor.
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `void` | `eUnset(int featureID)`
    `java.lang.Object` | `getData()` Gets file data previously set by `FileDescriptor.setData(Object)`.
    `IStructure` | `getFileStructure()` Gets the `IStructure` of the file descriptor, if available.
    `org.eclipse.emf.common.util.EList<RFileAction>` | `getHasAction()`
    `org.eclipse.emf.common.util.EList<RFileAttribute>` | `getHasFileAttribute()`
    `org.eclipse.emf.common.util.EList<RFileElement>` | `getHasFileElement()`
    `org.eclipse.emf.common.util.EList<RFileProperty>` | `getHasProperty()`
    `java.io.InputStream` | `getInputStream()`
    `java.lang.String` | `getNamePhysical()`
    `java.lang.String` | `getPropDelimiter()`
    `java.lang.String` | `getPropDelimiterWithoutQuotes()` Returns the PropDelimiter value of the FileDescriptor without the quotes.
    `EFileStructures` | `getStructure()`
    `EFileTypes` | `getType()`
    `boolean` | `isModelInstance()` Whether this instance belongs to a loaded model (`TAURUSConfiguration`).
    `boolean` | `isSetPropDelimiter()`
    `boolean` | `isSetStructure()`
    `boolean` | `isSetType()`
    `void` | `setData(java.lang.Object pData)` Allows storing file type specific data which can be used by an appropriate `IFileDescriptorReader` implementation.
    `void` | `setInputStream(java.io.InputStream pIs)` Sets the input stream of this File Descriptor (used for type InputStream)
    `void` | `setNamePhysical(java.lang.String newNamePhysical)`
    `void` | `setPropDelimiter(java.lang.String newPropDelimiter)`
    `void` | `setProperties(org.eclipse.emf.common.util.EList<RFileProperty> pFileProps)` Sets the Properties of the FileDescriptor
    `void` | `setStructure(EFileStructures newStructure)`
    `void` | `setType(EFileTypes newType)`
    `java.lang.String` | `toString()`
    `void` | `unsetPropDelimiter()`
    `void` | `unsetStructure()`
    `void` | `unsetType()`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMIdentifiableObjectImpl

      `eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getExtensionID, getID, getModelEditorGroup, isSetModelEditorGroup, setExtensionID, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from class com.microfocus.awm.meta.impl.AWMObjectImpl

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

      `eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Method Detail

    - #### getHasProperty

          public org.eclipse.emf.common.util.EList<RFileProperty> getHasProperty()

      Specified by:
        `getHasProperty` in interface `FileDescriptor`
      Returns:
        the value of the 'Has Property' containment reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasProperty()`

    - #### getHasAction

          public org.eclipse.emf.common.util.EList<RFileAction> getHasAction()

      Specified by:
        `getHasAction` in interface `FileDescriptor`
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasAction()`

    - #### getHasFileAttribute

          public org.eclipse.emf.common.util.EList<RFileAttribute> getHasFileAttribute()

      Specified by:
        `getHasFileAttribute` in interface `FileDescriptor`
      Returns:
        the value of the 'Has File Attribute' reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasFileAttribute()`

    - #### getHasFileElement

          public org.eclipse.emf.common.util.EList<RFileElement> getHasFileElement()

      Specified by:
        `getHasFileElement` in interface `FileDescriptor`
      Returns:
        the value of the 'Has File Element' reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasFileElement()`

    - #### getNamePhysical

          public java.lang.String getNamePhysical()

      Specified by:
        `getNamePhysical` in interface `FileDescriptor`
      Returns:
        the value of the 'Name Physical' attribute.
      See Also:
        `FileDescriptor.setNamePhysical(String)`, `TaurusPackage.getFileDescriptor_NamePhysical()`

    - #### setNamePhysical

          public void setNamePhysical(java.lang.String newNamePhysical)

      Specified by:
        `setNamePhysical` in interface `FileDescriptor`
      Parameters:
        `newNamePhysical` - the new value of the 'Name Physical' attribute.
      See Also:
        `FileDescriptor.getNamePhysical()`

    - #### getPropDelimiter

          public java.lang.String getPropDelimiter()

      Specified by:
        `getPropDelimiter` in interface `FileDescriptor`
      Returns:
        the value of the 'Prop Delimiter' attribute.
      See Also:
        `FileDescriptor.isSetPropDelimiter()`, `FileDescriptor.unsetPropDelimiter()`, `FileDescriptor.setPropDelimiter(String)`, `TaurusPackage.getFileDescriptor_PropDelimiter()`

    - #### setPropDelimiter

          public void setPropDelimiter(java.lang.String newPropDelimiter)

      Specified by:
        `setPropDelimiter` in interface `FileDescriptor`
      Parameters:
        `newPropDelimiter` - the new value of the 'Prop Delimiter' attribute.
      See Also:
        `FileDescriptor.isSetPropDelimiter()`, `FileDescriptor.unsetPropDelimiter()`, `FileDescriptor.getPropDelimiter()`

    - #### unsetPropDelimiter

          public void unsetPropDelimiter()

      Specified by:
        `unsetPropDelimiter` in interface `FileDescriptor`
      See Also:
        `FileDescriptor.isSetPropDelimiter()`, `FileDescriptor.getPropDelimiter()`, `FileDescriptor.setPropDelimiter(String)`

    - #### isSetPropDelimiter

          public boolean isSetPropDelimiter()

      Specified by:
        `isSetPropDelimiter` in interface `FileDescriptor`
      Returns:
        whether the value of the 'Prop Delimiter' attribute is set.
      See Also:
        `FileDescriptor.unsetPropDelimiter()`, `FileDescriptor.getPropDelimiter()`, `FileDescriptor.setPropDelimiter(String)`

    - #### getStructure

          public EFileStructures getStructure()

      Specified by:
        `getStructure` in interface `FileDescriptor`
      Returns:
        the value of the 'Structure' attribute.
      See Also:
        `EFileStructures`, `FileDescriptor.isSetStructure()`, `FileDescriptor.unsetStructure()`, `FileDescriptor.setStructure(EFileStructures)`, `TaurusPackage.getFileDescriptor_Structure()`

    - #### setStructure

          public void setStructure(EFileStructures newStructure)

      Specified by:
        `setStructure` in interface `FileDescriptor`
      Parameters:
        `newStructure` - the new value of the 'Structure' attribute.
      See Also:
        `EFileStructures`, `FileDescriptor.isSetStructure()`, `FileDescriptor.unsetStructure()`, `FileDescriptor.getStructure()`

    - #### unsetStructure

          public void unsetStructure()

      Specified by:
        `unsetStructure` in interface `FileDescriptor`
      See Also:
        `FileDescriptor.isSetStructure()`, `FileDescriptor.getStructure()`, `FileDescriptor.setStructure(EFileStructures)`

    - #### isSetStructure

          public boolean isSetStructure()

      Specified by:
        `isSetStructure` in interface `FileDescriptor`
      Returns:
        whether the value of the 'Structure' attribute is set.
      See Also:
        `FileDescriptor.unsetStructure()`, `FileDescriptor.getStructure()`, `FileDescriptor.setStructure(EFileStructures)`

    - #### getType

          public EFileTypes getType()

      Specified by:
        `getType` in interface `FileDescriptor`
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EFileTypes`, `FileDescriptor.isSetType()`, `FileDescriptor.unsetType()`, `FileDescriptor.setType(EFileTypes)`, `TaurusPackage.getFileDescriptor_Type()`

    - #### setType

          public void setType(EFileTypes newType)

      Specified by:
        `setType` in interface `FileDescriptor`
      Parameters:
        `newType` - the new value of the 'Type' attribute.
      See Also:
        `EFileTypes`, `FileDescriptor.isSetType()`, `FileDescriptor.unsetType()`, `FileDescriptor.getType()`

    - #### unsetType

          public void unsetType()

      Specified by:
        `unsetType` in interface `FileDescriptor`
      See Also:
        `FileDescriptor.isSetType()`, `FileDescriptor.getType()`, `FileDescriptor.setType(EFileTypes)`

    - #### isSetType

          public boolean isSetType()

      Specified by:
        `isSetType` in interface `FileDescriptor`
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `FileDescriptor.unsetType()`, `FileDescriptor.getType()`, `FileDescriptor.setType(EFileTypes)`

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `AWMIdentifiableObjectImpl`

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `AWMIdentifiableObjectImpl`

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `AWMIdentifiableObjectImpl`

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `AWMIdentifiableObjectImpl`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AWMIdentifiableObjectImpl`

    - #### getPropDelimiterWithoutQuotes

          public java.lang.String getPropDelimiterWithoutQuotes()

      Description copied from interface: `FileDescriptor`
      Returns the PropDelimiter value of the FileDescriptor without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Specified by:
        `getPropDelimiterWithoutQuotes` in interface `FileDescriptor`
      Returns:
        The PropDelimiter value of the FileDescriptor without quotes or `null` if no value was set for the PropDelimiter.

    - #### setProperties

          public void setProperties(org.eclipse.emf.common.util.EList<RFileProperty> pFileProps)

      Description copied from interface: `FileDescriptor`
      Sets the Properties of the FileDescriptor
      Specified by:
        `setProperties` in interface `FileDescriptor`
      Parameters:
        `pFileProps` - the properties to set

    - #### clone

          public FileDescriptor clone()

      Description copied from interface: `FileDescriptor`
      Creates a clone of the file descriptor.
      Specified by:
        `clone` in interface `FileDescriptor`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        a clone instance

    - #### setInputStream

          public void setInputStream(java.io.InputStream pIs)

      Description copied from interface: `FileDescriptor`
      Sets the input stream of this File Descriptor (used for type InputStream)
      Specified by:
        `setInputStream` in interface `FileDescriptor`
      Parameters:
        `pIs` - the input stream to be set
      See Also:
        `FileDescriptor.getType()`

    - #### getInputStream

          public java.io.InputStream getInputStream()

      Specified by:
        `getInputStream` in interface `FileDescriptor`
      Returns:
        the input stream associated to this file descriptor or `null`. Used for file descriptors from the type InputStream).

    - #### getFileStructure

          public IStructure getFileStructure()

      Description copied from interface: `FileDescriptor`
      Gets the `IStructure` of the file descriptor, if available.
      Specified by:
        `getFileStructure` in interface `FileDescriptor`
      Returns:
        the modeled `IStructure` or `null` if the file descriptor does not have one

    - #### setData

          public void setData(java.lang.Object pData)

      Description copied from interface: `FileDescriptor`
      Allows storing file type specific data which can be used by an appropriate `IFileDescriptorReader` implementation.

      Clients should not call this method unless they're implementing an `IFileDescriptorReader`.

      It is not allowed to set file descriptor data on `FileDescriptor` instances of a loaded `TAURUSConfiguration`.

      Specified by:
        `setData` in interface `FileDescriptor`
      Parameters:
        `pData` - the data to set
      See Also:
        `FileDescriptor.clone()`, `FileDescriptor.isModelInstance()`

    - #### getData

          public java.lang.Object getData()

      Description copied from interface: `FileDescriptor`
      Gets file data previously set by `FileDescriptor.setData(Object)`. Clients should not use this method, unless they're implementing an `IFileDescriptorReader`.
      Specified by:
        `getData` in interface `FileDescriptor`
      Returns:
        the previously set file data

    - #### isModelInstance

          public boolean isModelInstance()

      Description copied from interface: `FileDescriptor`
      Whether this instance belongs to a loaded model (`TAURUSConfiguration`). These instances should not be modified e.g. by tool executors but should rather be cloned.
      Specified by:
        `isModelInstance` in interface `FileDescriptor`
      Returns:
        whether this instance belongs to a loaded AWM model
      See Also:
        `FileDescriptor.clone()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.